/* Sticky Footer */
html.flexbox {
  div.canvas {
    min-height: 100vh; // At least the height of the browser
    display: flex; // Flex enabled
    flex-direction: column; // Verticle layout
    // Push the container to the height of the browser
    .container { flex: 1 1 auto; } // Flex grow pushes the container to the height of the parent
  }
}

/* Footer */
.footer {
  @include whitespace__small( padding-top, padding-bottom );
  background-color: $footer_background;
  color: $footer_color;

  /* Widgets are found in _widgets.scss */

  &__widget--title{
    color: white;
  }

  a{
    color: white;
    text-decoration: none;
  }
}


/* Afiliated Logos and company logos*/

%logo_container {
  width: 100%;
  float: left;
  clear: both;
  list-style: none;
  text-align: center;
  margin: 0;
  padding: 0;
}

%logo_item {
  display: inline-block;
  vertical-align: middle;
  margin: 0 auto 1rem;
  padding: 0 10px;
}

%logo_img {
  height: 2.5rem;
  vertical-align: middle;
  width: auto;
  @include object-fit( contain );
}

.affiliated--logos{
  @extend %logo_container;
  li {
    @extend %logo_item;
    img{
      @extend %logo_img;
    }
  }
}

.outward--logos{
  @include whitespace__small( padding-top, padding-bottom );
  @extend %logo_container;
  a{
    @extend %logo_item;
    img{
      @extend %logo_img;
    }
  }
}

// After the footer, there is another footer!
.post{

  &--credits{
    padding: 2rem 0;
    background-color: darken( $footer_background, 10% );
    color: $footer_color;
  }

  &--copyright{
    margin-bottom: 1rem;
    @include wider-than( tablet ){
      margin-bottom: 0;
      @include span( 6, 12 );
      text-align: left;
    }
  }

  &--social{
    margin-bottom: 1rem;
    @include wider-than( tablet ){
      margin-bottom: 0;
      @include span( 6, 12, $last:true );
      text-align: right;
    }
  }
}

